package com.ruoyi.project.training.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 上岗证一览对象 t_worklicense
 *
 * @author ruoyi
 * @date 2020-12-02
 */
public class TTrainingWorklicense extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;
    /** Worklicense对应ID */
    private Long worklicenseId;

    /** 上岗证证件类型 */
    @Excel(name = "上岗证证件类型")
    private String worklicenseType;

    /** 上岗证证件证件号 */
    @Excel(name = "上岗证证件证件号")
    private String worklicenseIdnum;

    /** 上岗证证件证件日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "上岗证证件证件日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date worklicenseDate;

    public Long getWorklicenseId() {
        return worklicenseId;
    }

    public void setWorklicenseId(Long worklicenseId) {
        this.worklicenseId = worklicenseId;
    }

    public String getWorklicenseType() {
        return worklicenseType;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public void setWorklicenseType(String worklicenseType) {
        this.worklicenseType = worklicenseType;
    }

    public String getWorklicenseIdnum() {
        return worklicenseIdnum;
    }

    public void setWorklicenseIdnum(String worklicenseIdnum) {
        this.worklicenseIdnum = worklicenseIdnum;
    }

    public Date getWorklicenseDate() {
        return worklicenseDate;
    }

    public void setWorklicenseDate(Date worklicenseDate) {
        this.worklicenseDate = worklicenseDate;
    }

    @Override
    public String toString() {
        return "TTrainingWorklicense{" +
                "worklicenseId=" + worklicenseId +
                ", worklicenseType='" + worklicenseType + '\'' +
                ", worklicenseIdnum='" + worklicenseIdnum + '\'' +
                ", worklicenseDate=" + worklicenseDate +
                '}';
    }
}
